import type { SnapshotStateType, SnapshotResolver } from 'jest-snapshot';
import type { SnapshotStateOptions } from 'jest-snapshot/build/State';
import { SnapshotSummary } from './utils/types';
export interface Context {
    file: string;
    title?: string;
    fullTitle?: string;
}
export declare class SnapshotManager {
    snapshotState: SnapshotStateType | null;
    snapshotSummary: SnapshotSummary;
    snapshotOptions: SnapshotStateOptions;
    context: Context | null;
    testFile: string;
    snapshotResolver: SnapshotResolver | null;
    rootDir: string;
    constructor({ rootDir, update, snapshotResolver, }: {
        rootDir: string;
        update?: boolean;
        snapshotResolver?: SnapshotResolver | null;
    });
    onFileChanged(): void;
    setContext(context: Context): void;
    assert(received: unknown, message: string): void;
    saveSnap(): void;
    report(): void;
}
