export function createHook() {
    const stacks = [];
    return {
        on(fn) {
            stacks.push(fn);
        },
        async fire(...args) {
            await Promise.all(stacks.map(async (fn) => await fn(...args)));
        },
        clear() {
            stacks.length = 0;
        },
    };
}
